﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DataSource = getTable();

            ultraGrid1.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.CellSelect;
            ultraGrid1.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.Select;

            ultraGrid1.Rows[0].Cells[0].Activate();
        }

        private DataTable getTable()
        {
            DataTable table = new DataTable();

            table.Columns.Add("col1", typeof(Int32));
            table.Columns.Add("col2", typeof(string));
            table.Columns.Add("col3", typeof(string));

            for (int i = 0; i < 20; i++)
            {
                table.Rows.Add(new object[] { i, "test" + i, "test" + (i % 3) });
            }

            return table;
        }

        private void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Clear();
            if (e.KeyCode == Keys.A)
            {
                ultraGrid1.ActiveCell.Column.SortIndicator = SortIndicator.Ascending;
            }
            else if(e.KeyCode == Keys.D)
            {
                ultraGrid1.ActiveCell.Column.SortIndicator = SortIndicator.Descending;
            }
        }
    }
}
